#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	GMP
Summary:	Math::GMP Perl module - high speed arbitrary size integer math
Summary(pl.UTF-8):	Moduł Perla Math::GMP - szybka arytmetyka liczb całkowitych o dowolnym rozmiarze
Name:		perl-Math-GMP
Version:	2.06
Release:	8
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ead0cd7d7ec1076c6d5a5fbe81b91a3
URL:		http://search.cpan.org/dist/Math-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GMP gives you access to the fast GMP library for fast big
integer math.

%description -l pl.UTF-8
Math::GMP daje dostęp do szybkiej biblioteki GMP dla szybkich
obliczeń na dużych liczbach całkowitych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%ifarch %{x8664} alpha ia64 ppc64 s390x sparc64
# original reference values expect 32-bit long
%{__perl} -pi -e 's/^\+9999999999(9*):[0-9]+$/+9999999999$1:9999999999$1/' t/gmppm.t
%endif

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/Math/GMP.pm
%dir %{perl_vendorarch}/auto/Math/GMP
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GMP/GMP.so
%{perl_vendorarch}/auto/Math/GMP/autosplit.ix
%{_mandir}/man3/*
%changelog
* Thu Feb 12 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Math-GMP.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fea31db
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4cae53b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f32d94c
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7848a03
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 033ad1d
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> bafe8c0
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b5402d
- release 3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 25e2f53
- release 2

* Wed Oct 21 2009 amateja <amateja@pld-linux.org> eecc7e8
- updated to 2.06

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 251ca94
- updated to 2.05

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 488960c
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 211d6f3
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c6c7ac
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> abf9dac
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f5f08e4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 199b19b
- converted to UTF-8

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 5ca700e
- updated 64-bit archs list

* Wed Dec 01 2004 radek <radek@pld-linux.org> 203855c
- autoupdated to 2.04

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8f40f91
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 06ad1c0
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

